Last Comment Bug 5831 - crash Win95 on loading several non-existing image in certain combination
: crash Win95 on loading several non-existing image in certain combination
Status: VERIFIED WORKSFORME
DEPEND - Intl - Talkeback Incident ID...
:
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: x86 Windows 95
: P1 normal (vote)
: M7
Assigned To: Peter Linss
: Teruko Kobayashi
Mentors:
http://peoplestage.netscape.com/ftang...
Depends on:
Blocks: 7228
  Show dependency treegraph
 
Reported: 1999-04-30 20:29 PDT by Katsuhiko Momoi
Modified: 1999-06-14 12:17 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Katsuhiko Momoi 1999-04-30 20:29:02 PDT
** Observed with 4/30/99 Win32 5.0 build **

With the page above and the following 2 pages, I have
a realoding problem as reported in Bug 5665 for WinNT4-US and
WinNT4-Japanese.

http://kaze:8000/eucnometa.html
http://kaze:8000/jisnometa.html

but on Win95-Japanese, I get crashes. There are several Talkback reports
sent to the server toda on this.

Descrption of the problem:

1. Start the browser on Win95-J.
2. Go to one of the pages and see it crash while loading the page.

These pages lack an image or two which are referenced by the pages.
An identical page with all the images on the server does not cause this
ptoblem. For exampple,

http://kaze:20020/jisnometa.html
Comment 1 Katsuhiko Momoi 1999-04-30 21:00:59 PDT
Here are some Talkback incident IDs:

7992554
7992651
7992744
etc.

Trigger Reason:  Access violation
Call Stack:(Signature = nsCSSFrameConstructor::CantRenderReplacedElement
            0eb7ddb7)

They all have the same Trigger and Call Stack info.
Comment 2 Frank Tang 1999-05-03 11:55:59 PDT
Change the summary from "Loading the page leads to crash on Win95-J" to "crash
on Win95 loading several non-existing image in certain combination". Change the
URL from "http://kaze:8000/jisnometa.html" to
"http://peoplestage.netscape.com/ftang/test/test1.html" . Change OS from Windows
NT to Windows 95.
I cannot reproduce this on Window NT, but it is easily reproduced on Win95.

I believe this is related to fallback handling of non-existing image. Some wrong
loading sequence make it crash.

New reproduce procedure:
1. got to http://peoplestage.netscape.com/ftang/test/test1.html
2. if it does not crash, click Shift-Reload severl times. It will crash on
Win95. I cannot reproduce it on WinNT.

Momoi found this bug when he test Japanese on Japanese Win95. But now we can
reproduce this on a simplified English page on English win 95.


Reassign this to troy since it crash on
nsCSSFrameConstructor::CantRenderReplacedElement ( I don't know which line) and
troy touch most of this function from cvsblame. Put peterl and kipp to the cc
list also.

Change to P1 M5 since this is a crashing bug.
Comment 3 Katsuhiko Momoi 1999-05-03 12:30:59 PDT
Note: The crash problem occurs only on Win95-US, Win95-J.
      On NT4-US & NT4-J, I get loading errors on these same pages.
      This has been reported as Bug 5665.

Here's the latest Talkback report obtained by crashing on
the above URL:

----------------------------------------------------------------

Communicator5.0
APPRUNNER.EXE 0.0.0.0
Netscape Win32 (99043017)
Trigger Time: 05/03/1999 11:27:56

Incident ID: 8030156

Trigger Reason:  Access violation

Call Stack: (Signature = nsCSSFrameConstructor::CantRenderReplacedElement
0eb7ddb7)

nsCSSFrameConstructor::CantRenderReplacedElement
[d:\builds\seamonkey\mozilla\layout\html\style\src\nsCSSFrameConstructor.cpp,
line 4997]
StyleSetImpl::CantRenderReplacedElement
[d:\builds\seamonkey\mozilla\layout\base\src\nsStyleSet.cpp, line 874]
PresShell::HandleCantRenderReplacedElementEvent
[d:\builds\seamonkey\mozilla\layout\html\base\src\nsPresShell.cpp, line 1339]
HandlePLEvent [d:\builds\seamonkey\mozilla\layout\html\base\src\nsPresShell.cpp,
line 1355]
PL_HandleEvent [plevent.c, line 477]
PL_ProcessPendingEvents [plevent.c, line 438]
_md_EventReceiverProc  [plevent.c, line 803]
KERNEL32.DLL + 0x3663 (0xbff73663)
KERNEL32.DLL + 0x2297c (0xbff9297c)
0x00778c54

Registers:
EAX:0077fb84 EBX: 00000000 ECX:00000000 EDX: 81694a54
ESI:00c63d70 EDI:009c9b50 ESP:0077fb20 EBP:0077fb8c
EIP: 0186b9d4  cf PF af ZF sf of IF df nt RF vm   IOPL: 0
CS: 0137 DS:013f SS: 013f ES:013f FS:0fb7 GS:0000

Stack Dump:

0x0077fb20: 00 00 00 00 84 FB 77 00 50 9B 9C 00 D0 DD C4 00 [ ......w.P....... ]
0x0077fb30: 04 00 00 00 D8 23 04 78 A4 FB 77 00 CF 13 00 78 [ .....#.x..w....x ]
0x0077fb40: 09 00 00 00 B0 BE CF 00 78 D1 03 78 DC 40 00 78 [ ........x..x.@.x ]
0x0077fb50: 00 B0 CF 00 CD 28 90 01 B0 BE CF 00 D0 DD C4 00 [ .....(.......... ]
0x0077fb60: 04 D8 82 01 B0 BE CF 00 50 9B 9C 00 D0 DD C4 00 [ ........P....... ]
0x0077fb70: 04 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 [ ................ ]
0x0077fb80: 20 BA CF 00 00 00 00 00 CD 98 F7 BF 04 FC 77 00 [  .............w. ]
0x0077fb90: 64 2B 81 01 C0 C7 C4 00 40 59 CE 00 80 3C C6 00 [ d+......@Y...<.. ]
0x0077fba0: 69 D9 82 01 70 C5 C4 00 40 59 CE 00 70 3D C6 00 [ i...p...@Y..p=.. ]
0x0077fbb0: 40 BA CF 00 B4 D9 82 01 70 3D C6 00 EE 18 41 00 [ @.......p=....A. ]
0x0077fbc0: 40 BA CF 00 50 9B 9C 00 40 BA CF 00 6A 18 41 00 [ @...P...@...j.A. ]
0x0077fbd0: 40 BA CF 00 36 FC 77 00 5A 8C 00 00 EC FB 77 00 [ @...6.w.Z.....w. ]
0x0077fbe0: 18 1B 41 00 50 9B 9C 00 63 36 F7 BF 40 0A 00 00 [ ..A.P...c6..@... ]
0x0077fbf0: 81 D2 00 00 00 00 00 00 50 9B 9C 00 87 3E 34 8C [ ........P....>4. ]
0x0077fc00: 3F 01 00 00 18 FC 77 00 7C 29 F9 BF 5A 8C 9F 1A [ ?.....w.|)..Z... ]
0x0077fc10: 9F 1A 00 00 00 00 00 00 79 1A F7 BF 54 8C 77 00 [ ........y...T.w. ]
0x0077fc20: 28 FE 77 00 2E 19 F7 BF 87 3E 34 8C 00 00 00 00 [ (.w......>4..... ]
0x0077fc30: 34 8C 9F 1A 00 00 00 00 46 02 00 00 92 8C 00 00 [ 4.......F....... ]
0x0077fc40: B8 3C 77 00 AF 16 00 00 3F 27 27 01 00 00 9F 1A [ .<w.....?''..... ]
0x0077fc50: 5A 8C 9F 1A 98 8C 84 3D CF 16 04 00 00 00 00 00 [ Z......=........ ]
0x0077fc60: 00 00 00 1B 41 00 50 9B 9C 00 00 00 00 00 81 D2 [ ....A.P......... ]
0x0077fc70: 00 00 40 0A 00 00 40 0A 81 D2 00 00 00 00 50 9B [ ..@...@.......P. ]
0x0077fc80: 9C 00 E5 79 01 00 00 00 DA C1 00 00 CF 16 01 00 [ ...y............ ]
0x0077fc90: 9F 1A 9F 1A 38 FD D0 8C C4 8C 00 00 03 00 00 1B [ ....8........... ]
0x0077fca0: 41 00 53 0F 97 17 00 00 50 9B 9C 00 00 00 81 D2 [ A.S.....P....... ]
0x0077fcb0: 40 0A 81 D2 40 0A AF 16 38 FD 77 00 00 8D 00 00 [ @...@...8.w..... ]
0x0077fcc0: 31 02 36 02 00 8D 43 39 CF 16 01 00 AC 09 A7 13 [ 1.6...C9........ ]
0x0077fcd0: 40 0A 81 D2 00 00 50 9B 9C 00 AE BF E0 0D 78 00 [ @.....P.......x. ]
0x0077fce0: 3F 00 00 00 40 0A 81 D2 00 00 00 00 50 9B 9C 00 [ ?...@.......P... ]
0x0077fcf0: 37 01 00 00 01 00 DA C1 00 00 01 00 B6 38 B6 38 [ 7............8.8 ]
0x0077fd00: D6 15 F7 BF 37 01 00 00 10 FD 77 00 3F 01 00 00 [ ....7.....w.?... ]
0x0077fd10: B7 0F 00 00 F9 4C F6 BF E0 21 A2 00 00 00 00 00 [ .....L...!...... ]
0x0077fd20: 54 FD 77 00 CD B3 B4 01 38 FD 77 00 00 00 00 00 [ T.w.....8.w..... ]
0x0077fd30: 00 00 00 80 00 00 00 00 40 0A 00 00 81 D2 00 00 [ ........@....... ]
0x0077fd40: 00 00 00 00 50 9B 9C 00 AE BF E0 0D 78 00 00 00 [ ....P.......x... ]
0x0077fd50: 3F 00 00 00 E8 FD 77 00 63 15 25 01 3E 15 40 00 [ ?.....w.c.%.>.@. ]
0x0077fd60: A0 98 9C 00 44 4A 69 81 64 F7 69 81 00 00 67 00 [ ....DJi.d.i...g. ]
0x0077fd70: 48 2A 45 00 F0 29 A2 00 24 00 00 00 28 00 00 00 [ H*E..)..$...(... ]
0x0077fd80: 31 15 04 82 3E D7 D2 11 82 A9 00 80 5F 2A 01 07 [ 1...>......._*.. ]
0x0077fd90: D0 A5 85 4A DD CD D2 11 B7 F6 00 80 5F 05 FF A5 [ ...J........_... ]
0x0077fda0: C0 2D 45 00 00 00 00 00 00 00 00 00 C0 2B A2 00 [ .-E..........+.. ]
0x0077fdb0: 00 00 00 00 A0 89 9B 00 67 02 00 00 E0 01 00 00 [ ........g....... ]
0x0077fdc0: 00 00 00 00 00 00 00 00 60 8C 9B 00 00 00 00 00 [ ........`....... ]
0x0077fdd0: 00 8A 9B 00 94 29 A2 00 30 41 40 00 A0 98 9C 00 [ .....)..0A@..... ]
0x0077fde0: 10 8B 9B 00 00 00 00 00 38 FE 77 00 BF 1D 40 00 [ ........8.w...@. ]
0x0077fdf0: 30 29 A2 00 70 26 A2 00 A0 01 9B 00 44 4A 69 81 [ 0)..p&......DJi. ]
0x0077fe00: 64 F7 69 81 00 00 67 00 05 00 00 C0 90 0C 9B 00 [ d.i...g......... ]
0x0077fe10: 00 00 00 00 8C FC 77 00 A0 01 9B 00 01 00 00 00 [ ......w......... ]
0x0077fe20: FC FD 77 00 4C F9 77 00 68 FF 77 00 60 1E 40 00 [ ..w.L.w.h.w.`.@. ]
0x0077fe30: B8 2C 40 00 00 00 00 00 78 FF 77 00 86 90 F8 BF [ .,@.....x.w..... ]
0x0077fe40: 44 4A 69 81 64 F7 69 81 00 00 67 00 41 70 70 72 [ DJi.d.i...g.Appr ]
0x0077fe50: 75 6E 6E 65 72 00 45 58 45 00 67 00 61 70 70 72 [ unner.EXE.g.appr ]
0x0077fe60: 75 6E 6E 65 72 00 78 65 49 4E 44 4F 57 53 5C 53 [ unner.xeINDOWS\S ]
0x0077fe70: 59 53 54 45 4D 5C 63 6F 6E 61 67 65 6E 74 2E 65 [ YSTEM\conagent.e ]
0x0077fe80: 78 65 20 08 2F 6E 65 77 95 16 08 00 E3 82 F7 BF [ xe ./new........ ]
0x0077fe90: 95 16 08 00 FF FF FF FF 40 00 00 00 A4 42 69 81 [ ........@....Bi. ]
0x0077fea0: 00 60 68 81 40 00 00 00 64 00 00 A0 00 60 68 81 [ .`h.@...d....`h. ]
0x0077feb0: 2C 32 0A C1 28 80 F7 BF 50 60 68 81 40 00 00 00 [ ,2..(...P`h.@... ]
0x0077fec0: 9B 84 F7 BF 00 60 68 81 40 00 00 00 00 FF 77 00 [ .....`h.@.....w. ]
0x0077fed0: 64 F7 69 81 0A 00 00 00 10 59 69 81 00 00 00 00 [ d.i......Yi..... ]
0x0077fee0: F3 42 F7 BF 2C 32 0A C1 68 0F 6B 81 C7 DD F8 BF [ .B..,2..h.k..... ]
0x0077fef0: BC 3C 6B 81 F3 42 F7 BF F3 42 F7 BF A8 42 69 81 [ .<k..B...B...Bi. ]
0x0077ff00: 11 B8 F7 BF F3 42 F7 BF F3 42 F7 BF A8 42 69 81 [ .....B...B...Bi. ]
0x0077ff10: 11 B8 F7 BF F0 F8 FB BF 64 F7 69 81 04 00 00 00 [ ........d.i..... ]
0x0077ff20: 68 BA F8 BF F3 42 F7 BF A8 42 69 81 75 BA F8 BF [ h....B...Bi.u... ]
0x0077ff30: F0 F8 FB BF EE C4 F8 BF 2C 60 68 81 00 60 68 81 [ ........,`h..`h. ]
0x0077ff40: 2C 32 0A C1 28 80 F7 BF 50 60 68 81 C0 1C 40 00 [ ,2..(...P`h...@. ]
0x0077ff50: 8E 92 F7 BF 00 00 00 00 84 F7 69 81 F4 FF 96 3F [ ..........i....? ]
0x0077ff60: 40 FE 77 00 64 F7 69 81 FF FF FF FF DC 93 FB BF [ @.w.d.i......... ]
0x0077ff70: B8 95 FB BF 00 00 00 00 F4 FF 77 00 34 8F F8 BF [ ..........w.4... ]
0x0077ff80: 7A 8C F8 BF 19 00 00 00 44 4A 69 81 44 00 00 00 [ z.......DJi.D... ]
0x0077ff90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 [ ................ ]
0x0077ffa0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 [ ................ ]
0x0077ffb0: 00 00 00 00 00 00 00 00 01 00 00 00 01 00 00 00 [ ................ ]
0x0077ffc0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 [ ................ ]
0x0077ffd0: FF FF 02 00 77 F2 00 00 00 E0 77 00 00 00 00 00 [ ....w.....w..... ]
0x0077ffe0: FF FF FF FF 00 00 78 00 E0 33 6B 81 00 00 00 00 [ ......x..3k..... ]
0x0077fff0: 96 3F 37 11 64 F7 69 81 52 79 F8 BF 00 00 00 00 [ .?7.d.i.Ry...... ]

Command Line:  "E:\smonkey430\x86rel\apprunner.exe"

Operating System:  Windows 95 4.0 build 67109814
Service Pack:  -
Processor:  Pentium
Processor Speed:  Not Available
Physical Memory:  96 MB
MEMORYSTATUS Structure:

		 Available        Total
Physical Memory:     4 MB         96 MB
Page File:          140 MB       165 MB
Virtual Memory:    2010 MB      2044 MB

Mounted Drive Information:

        Type      Size     Free    File System
A: Remobavle       -	    -        -
C: Fixed         993 MB    138 MB   FAT
D: Fixed         999 MB    120 MB   FAT
E: Fixed        4086 MB    195 MB   FAT
F: CD-ROM       4086 MB    195 MB   -
G: Network          -         -     -

Screen Information:  1024 x 768, 8 bits per pixel

Current User:  Not Available

Talkback User ID:  N3499182

User IP Address:  208.12.36.103

User Email Address:  momoi@netscape.com

User Comments:
 This page crashed on Win95-J running on CompaqXL 5133. The page is:
http://warp/u/ftang/publish/test/test1.html (same as
 http://people.netscape.com/ftang/test/test1.html )

--------------- End of the Report ----------------------------------
Comment 4 rickg 1999-05-03 15:16:59 PDT
Peter -- I'm giving this to you because of the CSSFrameConstructor reference.
Comment 5 chris hofmann 1999-05-21 16:45:59 PDT
m7
Comment 6 Peter Linss 1999-06-10 17:17:59 PDT
Unable to reproduce with current build (6/10/99) on Windows95-J
Comment 7 Teruko Kobayashi 1999-06-14 12:17:59 PDT
I verified this in 6-14-09 Win32 under Win95J.

Note You need to log in before you can comment on or make changes to this bug.